=== debian/control ===
Source: testng7
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Eugene Zhukov <eugene@debian.org>, Vladimir Petko <vladimir.petko@canonical.com>
Build-Depends:
 ant,
 debhelper (>=11),
 default-jdk,
 junit4,
 libbsh-java,
 libbuild-helper-maven-plugin-java,
 libguice-java,
 libjcommander-java,
 libmaven-bundle-plugin-java,
 libyaml-snake-java,
 maven-repo-helper,
 gradle-debian-helper,
 libassertj-core-java,
 libfindbugs-java,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/java-team/testng.git
Vcs-Browser: https://salsa.debian.org/java-team/testng
Homepage: http://testng.org

Package: libtestng7-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Recommends: ${maven:OptionalDepends}
Conflicts: testng
Description: testing framework for Java
 TestNG is a testing framework inspired from JUnit and NUnit but introducing
 some new functionalities that make it more powerful and easier to use, such as:
  * Annotations.
  * Run your tests in arbitrarily big thread pools with various policies
    available (all methods in their own thread, one thread per test class, etc.)
  * Test that your code is multithread safe.
  * Flexible test configuration.
  * Support for data-driven testing (with @DataProvider).
  * Support for parameters.
  * Powerful execution model (no more TestSuite).
  * Supported by a variety of tools and plug-ins (Eclipse, IDEA, Maven, etc.)
  * Embeds BeanShell for further flexibility.
  * Default JDK functions for runtime and logging (no dependencies).
  * Dependent methods for application server testing.
 TestNG is designed to cover all categories of tests:
 unit, functional, end-to-end, integration, etc.
