## testng7 7.5

=== debian/changelog ===
testng7 (7.5-3) unstable; urgency=medium

  * Team upload
  * Building against snakeyaml 2.x (Closes: #1117944)
  * Raising Standards version to 4.7.2 (no change)
  * Removing Eugene Zhukov, who has retired, from the uploaders. Thanks Eugene!
  * Marking the -java package as Multi-Arch: foreign
  * Raising d/watch version to 5, syntax changes

 -- Pierre Gruet <pgt@debian.org>  Wed, 08 Oct 2025 22:57:41 +0200

testng7 (7.5-2) unstable; urgency=medium

  * Source-only upload.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Jun 2023 20:21:39 +0200

testng7 (7.5-1) unstable; urgency=medium

  * New upstream release 7.5, packaged as a separate source and binary,
    required for jtreg version 6 and 7 (LP: #2012320). Closes: #990538.
  * d/p/build-with-gradle.patch: provide Groovy Gradle build.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 13 Jun 2023 07:59:17 +0200
