=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: testng7
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Eugene Zhukov <eugene@debian.org>, Vladimir Petko <vladimir.petko@canonical.com>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Vladimir Petko <vladimir.petko@canonical.com>, Matthias Klose <doko@debian.org>
 Build-Depends:
  ant,
- debhelper (>=11),
+ debhelper-compat (=13),
  default-jdk,
  junit4,
  libbsh-java,
@@ -14,13 +13,12 @@
  libguice-java,
  libjcommander-java,
  libmaven-bundle-plugin-java,
- libyaml-snake-java,
+ libyaml-snake-java (>= 2.5+ds),
  maven-repo-helper,
  gradle-debian-helper,
- libassertj-core-java,
- libfindbugs-java,
+ libassertj-core-java
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/java-team/testng.git
 Vcs-Browser: https://salsa.debian.org/java-team/testng
 Homepage: http://testng.org
@@ -30,6 +28,7 @@
 Depends: ${maven:Depends}, ${misc:Depends}
 Recommends: ${maven:OptionalDepends}
 Conflicts: testng
+Multi-Arch: foreign
 Description: testing framework for Java
  TestNG is a testing framework inspired from JUnit and NUnit but introducing
  some new functionalities that make it more powerful and easier to use, such as:
