=== debian/watch ===
Version: 5

Source: https://github.com/cbeust/testng/tags
Matching-Pattern: .*/([\d\.]+)\.tar\.gz
Compression: gzip
Dversionmangle: s/(\d)[\+\.](?:dfsg|debian|ds)\.?\d*$/$1/
Repack: yes
Repacksuffix: ~us1
